Package org.eclipse.microprofile.rest.client.tck

# Class ProxyServerTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
org.eclipse.microprofile.rest.client.tck.ProxyServerTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ProxyServerTest extends WiremockArquillianTest

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DESTINATION_SERVER_PORT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ProxyServerTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`static void`
`startDestinationServer(String responseContent)`
`static void`
`stopDestinationServer()`
`void`
`testInvalidPortNumber()`
`void`
`testInvalidPortNumber1()`
`void`
`testInvalidPortNumber2()`
`void`
`testNullHostName()`
`void`
`testProxy()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DESTINATION_SERVER_PORT

public static final int DESTINATION_SERVER_PORT

## Constructor Details

### ProxyServerTest

public ProxyServerTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testNullHostName

public void testNullHostName() throws Exception

Throws:
  `Exception`

### testInvalidPortNumber

public void testInvalidPortNumber() throws Exception

Throws:
  `Exception`

### testInvalidPortNumber1

public void testInvalidPortNumber1() throws Exception

Throws:
  `Exception`

### testInvalidPortNumber2

public void testInvalidPortNumber2() throws Exception

Throws:
  `Exception`

### testProxy

public void testProxy() throws Exception

Throws:
  `Exception`

### startDestinationServer

public static void startDestinationServer(String responseContent)

### stopDestinationServer

public static void stopDestinationServer()